/**
 * Source: https://www.iso.org/obp/ui/#iso:code:3166:GB
 */
module.exports = {
    name: 'United Kingdom',
    code: 'GB-UKM',
    type: 'nation',
    lang: 'en',
    subdivisions: [
        {
            name: 'Northern Ireland',
            code: 'GB-NIR',
            type: 'province'
            subdivisions: [
                {code: 'GB-ABC', type: 'district', name: 'Armagh, Banbridge and Craigavon'},
                {code: 'GB-AND', type: 'district', name: 'Ards and North Down'},
                {code: 'GB-ANN', type: 'district', name: 'Antrim and Newtownabbey'},
                {code: 'GB-BFS', type: 'district', name: 'Belfast'},
                {code: 'GB-CCG', type: 'district', name: 'Causeway Coast and Glens'},
                {code: 'GB-DRS', type: 'district', name: 'Derry and Strabane'},
                {code: 'GB-FMO', type: 'district', name: 'Fermanagh and Omagh'},
                {code: 'GB-LBC', type: 'district', name: 'Lisburn and Castlereagh'},
                {code: 'GB-MEA', type: 'district', name: 'Mid and East Antrim'},
                {code: 'GB-MUL', type: 'district', name: 'Mid Ulster'},
                {code: 'GB-NMD', type: 'district', name: 'Newry, Mourne and Down'},
            ]
        },
        {
            name: 'Great Britain',
            code: 'GB-GBN',
            type: 'nation',
            subdivisions: [
                {
                    name: 'Scotland',
                    code: 'GB-SCT',
                    type: 'country',
                    subdivisions: [
                        {code: 'GB-ABD', type: 'council area', name: 'Aberdeenshire'},
                        {code: 'GB-ABE', type: 'council area', name: 'Aberdeen City'},
                        {code: 'GB-AGB', type: 'council area', name: 'Argyll and Bute'},
                        {code: 'GB-ANS', type: 'council area', name: 'Angus'},
                        {code: 'GB-CLK', type: 'council area', name: 'Clackmannanshire'},
                        {code: 'GB-DGY', type: 'council area', name: 'Dumfries and Galloway'},
                        {code: 'GB-DND', type: 'council area', name: 'Dundee City'},
                        {code: 'GB-EAY', type: 'council area', name: 'East Ayrshire'},
                        {code: 'GB-EDH', type: 'council area', name: 'Edinburgh, City of'},
                        {code: 'GB-EDU', type: 'council area', name: 'East Dunbartonshire'},
                        {code: 'GB-ELN', type: 'council area', name: 'East Lothian'},
                        {code: 'GB-ELS', type: 'council area', name: 'Eilean Siar'},
                        {code: 'GB-ERW', type: 'council area', name: 'East Renfrewshire'},
                        {code: 'GB-FAL', type: 'council area', name: 'Falkirk'},
                        {code: 'GB-FIF', type: 'council area', name: 'Fife'},
                        {code: 'GB-GLG', type: 'council area', name: 'Glasgow City'},
                        {code: 'GB-HLD', type: 'council area', name: 'Highland'},
                        {code: 'GB-IVC', type: 'council area', name: 'Inverclyde'},
                        {code: 'GB-MLN', type: 'council area', name: 'Midlothian'},
                        {code: 'GB-MRY', type: 'council area', name: 'Moray'},
                        {code: 'GB-NAY', type: 'council area', name: 'North Ayrshire'},
                        {code: 'GB-NLK', type: 'council area', name: 'North Lanarkshire'},
                        {code: 'GB-ORK', type: 'council area', name: 'Orkney Islands'},
                        {code: 'GB-PKN', type: 'council area', name: 'Perth and Kinross'},
                        {code: 'GB-RFW', type: 'council area', name: 'Renfrewshire'},
                        {code: 'GB-SAY', type: 'council area', name: 'South Ayrshire'},
                        {code: 'GB-SCB', type: 'council area', name: 'Scottish Borders, The'},
                        {code: 'GB-SLK', type: 'council area', name: 'South Lanarkshire'},
                        {code: 'GB-STG', type: 'council area', name: 'Stirling'},
                        {code: 'GB-WDU', type: 'council area', name: 'West Dunbartonshire'},
                        {code: 'GB-WLN', type: 'council area', name: 'West Lothian'},
                        {code: 'GB-ZET', type: 'council area', name: 'Shetland Islands'},
                    ]
                },
                {
                    name: 'England and Wales',
                    code: 'GB-EAW',
                    type: 'nation',
                    subdivisions: [
                        {
                            name: 'England',
                            code: 'GB-ENG',
                            type: 'country',
                            subdivisions: [
                                {code: 'GB-LND', type: 'city corporation',      name: 'London, City of'},
                                {code: 'GB-BDG', type: 'London borough',        name: 'Barking and Dagenham'},
                                {code: 'GB-BEN', type: 'London borough',        name: 'Brent'},
                                {code: 'GB-BEX', type: 'London borough',        name: 'Bexley'},
                                {code: 'GB-BNE', type: 'London borough',        name: 'Barnet'},
                                {code: 'GB-BRY', type: 'London borough',        name: 'Bromley'},
                                {code: 'GB-CMD', type: 'London borough',        name: 'Camden'},
                                {code: 'GB-CRY', type: 'London borough',        name: 'Croydon'},
                                {code: 'GB-EAL', type: 'London borough',        name: 'Ealing'},
                                {code: 'GB-ENF', type: 'London borough',        name: 'Enfield'},
                                {code: 'GB-GRE', type: 'London borough',        name: 'Greenwich'},
                                {code: 'GB-HAV', type: 'London borough',        name: 'Havering'},
                                {code: 'GB-HCK', type: 'London borough',        name: 'Hackney'},
                                {code: 'GB-HIL', type: 'London borough',        name: 'Hillingdon'},
                                {code: 'GB-HMF', type: 'London borough',        name: 'Hammersmith and Fulham'},
                                {code: 'GB-HNS', type: 'London borough',        name: 'Hounslow'},
                                {code: 'GB-HRW', type: 'London borough',        name: 'Harrow'},
                                {code: 'GB-HRY', type: 'London borough',        name: 'Haringey'},
                                {code: 'GB-ISL', type: 'London borough',        name: 'Islington'},
                                {code: 'GB-KEC', type: 'London borough',        name: 'Kensington and Chelsea'},
                                {code: 'GB-KTT', type: 'London borough',        name: 'Kingston upon Thames'},
                                {code: 'GB-LBH', type: 'London borough',        name: 'Lambeth'},
                                {code: 'GB-LEW', type: 'London borough',        name: 'Lewisham'},
                                {code: 'GB-MRT', type: 'London borough',        name: 'Merton'},
                                {code: 'GB-NWM', type: 'London borough',        name: 'Newham'},
                                {code: 'GB-RDB', type: 'London borough',        name: 'Redbridge'},
                                {code: 'GB-RIC', type: 'London borough',        name: 'Richmond upon Thames'},
                                {code: 'GB-STN', type: 'London borough',        name: 'Sutton'},
                                {code: 'GB-SWK', type: 'London borough',        name: 'Southwark'},
                                {code: 'GB-TWH', type: 'London borough',        name: 'Tower Hamlets'},
                                {code: 'GB-WFT', type: 'London borough',        name: 'Waltham Forest'},
                                {code: 'GB-WND', type: 'London borough',        name: 'Wandsworth'},
                                {code: 'GB-WSM', type: 'London borough',        name: 'Westminster'},
                                {code: 'GB-BIR', type: 'metropolitan district', name: 'Birmingham'},
                                {code: 'GB-BNS', type: 'metropolitan district', name: 'Barnsley'},
                                {code: 'GB-BOL', type: 'metropolitan district', name: 'Bolton'},
                                {code: 'GB-BRD', type: 'metropolitan district', name: 'Bradford'},
                                {code: 'GB-BUR', type: 'metropolitan district', name: 'Bury'},
                                {code: 'GB-CLD', type: 'metropolitan district', name: 'Calderdale'},
                                {code: 'GB-COV', type: 'metropolitan district', name: 'Coventry'},
                                {code: 'GB-DNC', type: 'metropolitan district', name: 'Doncaster'},
                                {code: 'GB-DUD', type: 'metropolitan district', name: 'Dudley'},
                                {code: 'GB-GAT', type: 'metropolitan district', name: 'Gateshead'},
                                {code: 'GB-KIR', type: 'metropolitan district', name: 'Kirklees'},
                                {code: 'GB-KWL', type: 'metropolitan district', name: 'Knowsley'},
                                {code: 'GB-LDS', type: 'metropolitan district', name: 'Leeds'},
                                {code: 'GB-LIV', type: 'metropolitan district', name: 'Liverpool'},
                                {code: 'GB-MAN', type: 'metropolitan district', name: 'Manchester'},
                                {code: 'GB-NET', type: 'metropolitan district', name: 'Newcastle upon Tyne'},
                                {code: 'GB-NTY', type: 'metropolitan district', name: 'North Tyneside'},
                                {code: 'GB-OLD', type: 'metropolitan district', name: 'Oldham'},
                                {code: 'GB-RCH', type: 'metropolitan district', name: 'Rochdale'},
                                {code: 'GB-ROT', type: 'metropolitan district', name: 'Rotherham'},
                                {code: 'GB-SAW', type: 'metropolitan district', name: 'Sandwell'},
                                {code: 'GB-SFT', type: 'metropolitan district', name: 'Sefton'},
                                {code: 'GB-SHF', type: 'metropolitan district', name: 'Sheffield'},
                                {code: 'GB-SHN', type: 'metropolitan district', name: 'St. Helens'},
                                {code: 'GB-SKP', type: 'metropolitan district', name: 'Stockport'},
                                {code: 'GB-SLF', type: 'metropolitan district', name: 'Salford'},
                                {code: 'GB-SND', type: 'metropolitan district', name: 'Sunderland'},
                                {code: 'GB-SOL', type: 'metropolitan district', name: 'Solihull'},
                                {code: 'GB-STY', type: 'metropolitan district', name: 'South Tyneside'},
                                {code: 'GB-TAM', type: 'metropolitan district', name: 'Tameside'},
                                {code: 'GB-TRF', type: 'metropolitan district', name: 'Trafford'},
                                {code: 'GB-WGN', type: 'metropolitan district', name: 'Wigan'},
                                {code: 'GB-WKF', type: 'metropolitan district', name: 'Wakefield'},
                                {code: 'GB-WLL', type: 'metropolitan district', name: 'Walsall'},
                                {code: 'GB-WLV', type: 'metropolitan district', name: 'Wolverhampton'},
                                {code: 'GB-WRL', type: 'metropolitan district', name: 'Wirral'},
                                {code: 'GB-BKM', type: 'two-tier county',       name: 'Buckinghamshire'},
                                {code: 'GB-CAM', type: 'two-tier county',       name: 'Cambridgeshire'},
                                {code: 'GB-CMA', type: 'two-tier county',       name: 'Cumbria'},
                                {code: 'GB-DBY', type: 'two-tier county',       name: 'Derbyshire'},
                                {code: 'GB-DEV', type: 'two-tier county',       name: 'Devon'},
                                {code: 'GB-DOR', type: 'two-tier county',       name: 'Dorset'},
                                {code: 'GB-ESS', type: 'two-tier county',       name: 'Essex'},
                                {code: 'GB-ESX', type: 'two-tier county',       name: 'East Sussex'},
                                {code: 'GB-GLS', type: 'two-tier county',       name: 'Gloucestershire'},
                                {code: 'GB-HAM', type: 'two-tier county',       name: 'Hampshire'},
                                {code: 'GB-HRT', type: 'two-tier county',       name: 'Hertfordshire'},
                                {code: 'GB-KEN', type: 'two-tier county',       name: 'Kent'},
                                {code: 'GB-LAN', type: 'two-tier county',       name: 'Lancashire'},
                                {code: 'GB-LEC', type: 'two-tier county',       name: 'Leicestershire'},
                                {code: 'GB-LIN', type: 'two-tier county',       name: 'Lincolnshire'},
                                {code: 'GB-NFK', type: 'two-tier county',       name: 'Norfolk'},
                                {code: 'GB-NTH', type: 'two-tier county',       name: 'Northamptonshire'},
                                {code: 'GB-NTT', type: 'two-tier county',       name: 'Nottinghamshire'},
                                {code: 'GB-NYK', type: 'two-tier county',       name: 'North Yorkshire'},
                                {code: 'GB-OXF', type: 'two-tier county',       name: 'Oxfordshire'},
                                {code: 'GB-SFK', type: 'two-tier county',       name: 'Suffolk'},
                                {code: 'GB-SOM', type: 'two-tier county',       name: 'Somerset'},
                                {code: 'GB-SRY', type: 'two-tier county',       name: 'Surrey'},
                                {code: 'GB-STS', type: 'two-tier county',       name: 'Staffordshire'},
                                {code: 'GB-WAR', type: 'two-tier county',       name: 'Warwickshire'},
                                {code: 'GB-WOR', type: 'two-tier county',       name: 'Worcestershire'},
                                {code: 'GB-WSX', type: 'two-tier county',       name: 'West Sussex'},
                                {code: 'GB-BAS', type: 'unitary authority',     name: 'Bath and North East Somerset'},
                                {code: 'GB-BBD', type: 'unitary authority',     name: 'Blackburn with Darwen'},
                                {code: 'GB-BDF', type: 'unitary authority',     name: 'Bedford'},
                                {code: 'GB-BMH', type: 'unitary authority',     name: 'Bournemouth'},
                                {code: 'GB-BNH', type: 'unitary authority',     name: 'Brighton and Hove'},
                                {code: 'GB-BPL', type: 'unitary authority',     name: 'Blackpool'},
                                {code: 'GB-BRC', type: 'unitary authority',     name: 'Bracknell Forest'},
                                {code: 'GB-BST', type: 'unitary authority',     name: 'Bristol, City of'},
                                {code: 'GB-CBF', type: 'unitary authority',     name: 'Central Bedfordshire'},
                                {code: 'GB-CHE', type: 'unitary authority',     name: 'Cheshire East'},
                                {code: 'GB-CHW', type: 'unitary authority',     name: 'Cheshire West and Chester'},
                                {code: 'GB-CON', type: 'unitary authority',     name: 'Cornwall'},
                                {code: 'GB-DAL', type: 'unitary authority',     name: 'Darlington'},
                                {code: 'GB-DER', type: 'unitary authority',     name: 'Derby'},
                                {code: 'GB-DUR', type: 'unitary authority',     name: 'Durham County'},
                                {code: 'GB-ERY', type: 'unitary authority',     name: 'East Riding of Yorkshire'},
                                {code: 'GB-HAL', type: 'unitary authority',     name: 'Halton'},
                                {code: 'GB-HEF', type: 'unitary authority',     name: 'Herefordshire'},
                                {code: 'GB-HPL', type: 'unitary authority',     name: 'Hartlepool'},
                                {code: 'GB-IOS', type: 'unitary authority',     name: 'Isles of Scilly'},
                                {code: 'GB-IOW', type: 'unitary authority',     name: 'Isle of Wight'},
                                {code: 'GB-KHL', type: 'unitary authority',     name: 'Kingston upon Hull'},
                                {code: 'GB-LCE', type: 'unitary authority',     name: 'Leicester'},
                                {code: 'GB-LUT', type: 'unitary authority',     name: 'Luton'},
                                {code: 'GB-MDB', type: 'unitary authority',     name: 'Middlesbrough'},
                                {code: 'GB-MDW', type: 'unitary authority',     name: 'Medway'},
                                {code: 'GB-MIK', type: 'unitary authority',     name: 'Milton Keynes'},
                                {code: 'GB-NBL', type: 'unitary authority',     name: 'Northumberland'},
                                {code: 'GB-NEL', type: 'unitary authority',     name: 'North East Lincolnshire'},
                                {code: 'GB-NGM', type: 'unitary authority',     name: 'Nottingham'},
                                {code: 'GB-NLN', type: 'unitary authority',     name: 'North Lincolnshire'},
                                {code: 'GB-NSM', type: 'unitary authority',     name: 'North Somerset'},
                                {code: 'GB-PLY', type: 'unitary authority',     name: 'Plymouth'},
                                {code: 'GB-POL', type: 'unitary authority',     name: 'Poole'},
                                {code: 'GB-POR', type: 'unitary authority',     name: 'Portsmouth'},
                                {code: 'GB-PTE', type: 'unitary authority',     name: 'Peterborough'},
                                {code: 'GB-RCC', type: 'unitary authority',     name: 'Redcar and Cleveland'},
                                {code: 'GB-RDG', type: 'unitary authority',     name: 'Reading'},
                                {code: 'GB-RUT', type: 'unitary authority',     name: 'Rutland'},
                                {code: 'GB-SGC', type: 'unitary authority',     name: 'South Gloucestershire'},
                                {code: 'GB-SHR', type: 'unitary authority',     name: 'Shropshire'},
                                {code: 'GB-SLG', type: 'unitary authority',     name: 'Slough'},
                                {code: 'GB-SOS', type: 'unitary authority',     name: 'Southend-on-Sea'},
                                {code: 'GB-STE', type: 'unitary authority',     name: 'Stoke-on-Trent'},
                                {code: 'GB-STH', type: 'unitary authority',     name: 'Southampton'},
                                {code: 'GB-STT', type: 'unitary authority',     name: 'Stockton-on-Tees'},
                                {code: 'GB-SWD', type: 'unitary authority',     name: 'Swindon'},
                                {code: 'GB-TFW', type: 'unitary authority',     name: 'Telford and Wrekin'},
                                {code: 'GB-THR', type: 'unitary authority',     name: 'Thurrock'},
                                {code: 'GB-TOB', type: 'unitary authority',     name: 'Torbay'},
                                {code: 'GB-WBK', type: 'unitary authority',     name: 'West Berkshire'},
                                {code: 'GB-WIL', type: 'unitary authority',     name: 'Wiltshire'},
                                {code: 'GB-WNM', type: 'unitary authority',     name: 'Windsor and Maidenhead'},
                                {code: 'GB-WOK', type: 'unitary authority',     name: 'Wokingham'},
                                {code: 'GB-WRT', type: 'unitary authority',     name: 'Warrington'},
                                {code: 'GB-YOR', type: 'unitary authority',     name: 'York'},
                            ]
                        },
                        {
                            name: 'Wales',
                            code: 'GB-WLS',
                            type: 'country',
                            alt: [{code: 'GB-CYM', lang: 'cy', name: 'Cymru'}],
                            subdivisions: [
                                {code: 'GB-AGY', type: 'unitary authority', name: 'Isle of Anglesey',       alt: [{code: 'GB-YNM', lang: 'cy', name: 'Sir Ynys Môn'}]},
                                {code: 'GB-BGE', type: 'unitary authority', name: 'Bridgend',               alt: [{code: 'GB-POG', lang: 'cy', name: 'Pen-y-bont ar Ogwr'}]},
                                {code: 'GB-BGW', type: 'unitary authority', name: 'Blaenau Gwent'},
                                {code: 'GB-CAY', type: 'unitary authority', name: 'Caerphilly',             alt: [{code: 'GB-CAF', lang: 'cy', name: 'Caerffili'}]},
                                {code: 'GB-CGN', type: 'unitary authority', name: 'Ceredigion',             alt: [{                lang: 'cy', name: 'Sir Ceredigion'}]},
                                {code: 'GB-CMN', type: 'unitary authority', name: 'Carmarthenshire',        alt: [{code: 'GB-GFY', lang: 'cy', name: 'Sir Gaerfyrddin'}]},
                                {code: 'GB-CRF', type: 'unitary authority', name: 'Cardiff',                alt: [{code: 'GB-CRD', lang: 'cy', name: 'Caerdydd'}]},
                                {code: 'GB-CWY', type: 'unitary authority', name: 'Conwy'},
                                {code: 'GB-DEN', type: 'unitary authority', name: 'Denbighshire',           alt: [{code: 'GB-DDB', lang: 'cy', name: 'Sir Ddinbych'}]},
                                {code: 'GB-FLN', type: 'unitary authority', name: 'Flintshire',             alt: [{code: 'GB-FFL', lang: 'cy', name: 'Sir y Fflint'}]},
                                {code: 'GB-GWN', type: 'unitary authority', name: 'Gwynedd'},
                                {code: 'GB-MON', type: 'unitary authority', name: 'Monmouthshire',          alt: [{code: 'GB-FYN', lang: 'cy', name: 'Sir Fynwy'}]},
                                {code: 'GB-MTY', type: 'unitary authority', name: 'Merthyr Tydfil',         alt: [{code: 'GB-MTU', lang: 'cy', name: 'Merthyr Tudful'}]},
                                {code: 'GB-NTL', type: 'unitary authority', name: 'Neath Port Talbot',      alt: [{code: 'GB-CTL', lang: 'cy', name: 'Castell-nedd Port Talbot'}]},
                                {code: 'GB-NWP', type: 'unitary authority', name: 'Newport',                alt: [{code: 'GB-CNW', lang: 'cy', name: 'Casnewydd'}]},
                                {code: 'GB-PEM', type: 'unitary authority', name: 'Pembrokeshire',          alt: [{code: 'GB-BNF', lang: 'cy', name: 'Sir Benfro'}]},
                                {code: 'GB-POW', type: 'unitary authority', name: 'Powys'},
                                {code: 'GB-RCT', type: 'unitary authority', name: 'Rhondda, Cynon, Taff',   alt: [{                lang: 'cy', name: 'Rhondda, Cynon,Taf'}]},
                                {code: 'GB-SWA', type: 'unitary authority', name: 'Swansea',                alt: [{code: 'GB-ATA', lang: 'cy', name: 'Abertawe'}]},
                                {code: 'GB-TOF', type: 'unitary authority', name: 'Torfaen',                alt: [{                lang: 'cy', name: 'Tor-faen'}]},
                                {code: 'GB-VGL', type: 'unitary authority', name: 'Vale of Glamorgan, The', alt: [{code: 'GB-BMG', lang: 'cy', name: 'Bro Morgannwg'}]},
                                {code: 'GB-WRX', type: 'unitary authority', name: 'Wrexham',                alt: [{code: 'GB-WRC', lang: 'cy', name: 'Wrecsam'}]},
                            ]
                        },
                    ]
                },
            ]
        },
    ]
}